#keep level 2 fight #8
from eventAPI import *
from APIUtils import *

rtKeep2Flag8=0

def fireEvent(e):
   global rtKeep2Flag8
   rtKeep2Flag8 = getTag(e, "rtKeep2Flag8")
   if (rtKeep2Flag8 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep2Flag8 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Naga Chief", 2, 0, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep2Flag8
   Keep0Flag1 = 1
   setTag(e, "rtKeep2Flag8", rtKeep2Flag8)
